rte_graph_param(3)

NAME
rte_graph_param

SYNOPSIS

#include <rte_graph.h>

  Data Fields

int socket_id
uint16_t nb_node_patterns
const char ** node_patterns
bool pcap_enable
uint64_t num_pkt_to_capture
char * pcap_filename

Detailed Description

Structure to hold configuration parameters for creating the graph.

See also
    rte_graph_create()

Definition at line 168 of file rte_graph.h.

Field Documentation

  int socket_id
Socket id where memory is allocated.

Definition at line 169 of file rte_graph.h.

  uint16_t nb_node_patterns
Number of node patterns.

Definition at line 170 of file rte_graph.h.

  const char** node_patterns
Array of node patterns based on shell pattern.

Definition at line 171 of file rte_graph.h.

  bool pcap_enable
Pcap enable.

Definition at line 174 of file rte_graph.h.

  uint64_t num_pkt_to_capture
Number of packets to capture.

Definition at line 175 of file rte_graph.h.

  char* pcap_filename
Filename in which packets to be captured.

Definition at line 176 of file rte_graph.h.

  uint64_t rsvd
Reserved for rtc model.

Definition at line 180 of file rte_graph.h.

  uint32_t wq_size_max
Maximum size of workqueue for dispatch model.

Definition at line 183 of file rte_graph.h.

  uint32_t mp_capacity
Capacity of memory pool for dispatch model.

Definition at line 184 of file rte_graph.h.

Author

Generated automatically by Doxygen for DPDK from the source code.